Subject: [Mip6] [issue48] HA Address discovery: load balancing

From: Gerardo <[email-masked]>
Date: Mon, 03 Oct 2005 14:26:16 +0000

New submission from Gerardo <[email-masked]>:

Li Qin mentioned that using DNS discovery you cannot perform load balancing 
assigning different HA to different MNs.

Li Qin wrote:
"
I guess that multiple home agents related issues, such as dynamic home
agent assignment, have not been considered in this draft.
"

Vijay wrote:
"
once the mobile node knows the home prefix, it can still do DHAAD if it wants 
to.
"

James wrote:
"
The home DNS server can contain multiple HA addresses in the SRV record.
"

Li Qin wrote:
"
In my opinion I think its more like a HA discovery than HA assignment.
If multiple HAs are deployed in home network, is it possible to assign a
HA according to the user's profile, or according to current load of the
HAs in this solution?
"

James wrote:
"
The SRV record contains information that the operator can use to establish a
preference ordering on the servers for clients. That said, I don't believe
it is intended to provide fast, real time information about preferences, say
on the order of seconds., but more over longer periods, since dynamic DNS
updates require some time to propagate, and it would also not be such a good
idea to burden the DNS server with having to handle such frequent updates.
"

Hui wrote:
"
Do you mean that DNS is not suitable for dynamical home agent assignment in 
this bootstrap solution?
"

James wrote:
"
What I mean is that the operater can use the SRV record preference field for
long term load balancing, and connection refusal for short term load
balancing, due to flash crowds and such. 
"

Gerardo wrote:
"
The issue is that using DNS solution an operator cannot do a per node load 
balancing, that is it cannot be sure to allocate a specific HA to a specific 
MN. I think this is the main case Li Qin and others were referring to. 
Instead, this is possible in integrated scenario using DHCP solution.

So, what I suggest is that we state that we do not support a per MN load 
balancing and this will be supported in the integrated scenario. Then we can 
mention that using the SRV RR priorities an operator may perform a load 
balancing changing the DNS entries, but this is not addressed in the draft 
since short lifetimes for DNS entries have drawbacks.
"

----------
category: Editorial
draft: draft-ietf-mip6-bootstrapping-split
messages: 169
nosy: gerardo
priority: Must fix
status: Need clarifying text
title: HA Address discovery: load balancing

_________________________________________________
Mip6 issue tracker <[email-masked]>
<http://www.mip4.org/issues/tracker/mip6/issue48>
_________________________________________________

_______________________________________________
Mip6 mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/mip6